Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.parser
Interface ParserTreeConstants

All Known Implementing Classes:
  Parser

public interface ParserTreeConstants

Field Summary
`static int` | `JJTADDNODE`
`static int` | `JJTANDNODE`
`static int` | `JJTARRAYACCESS`
`static int` | `JJTASSIGNMENT`
`static int` | `JJTBITWISEANDNODE`
`static int` | `JJTBITWISECOMPLNODE`
`static int` | `JJTBITWISEORNODE`
`static int` | `JJTBITWISEXORNODE`
`static int` | `JJTBLOCK`
`static int` | `JJTDIVNODE`
`static int` | `JJTEMPTYFUNCTION`
`static int` | `JJTEQNODE`
`static int` | `JJTEXPRESSION`
`static int` | `JJTEXPRESSIONEXPRESSION`
`static int` | `JJTFALSENODE`
`static int` | `JJTFLOATLITERAL`
`static int` | `JJTFOREACHSTATEMENT`
`static int` | `JJTGENODE`
`static int` | `JJTGTNODE`
`static int` | `JJTIDENTIFIER`
`static int` | `JJTIFSTATEMENT`
`static int` | `JJTINTEGERLITERAL`
`static int` | `JJTJEXLSCRIPT`
`static int` | `JJTLENODE`
`static int` | `JJTLTNODE`
`static int` | `JJTMETHOD`
`static int` | `JJTMODNODE`
`static int` | `JJTMULNODE`
`static int` | `JJTNENODE`
`static String[]` | `jjtNodeName`
`static int` | `JJTNOTNODE`
`static int` | `JJTNULLLITERAL`
`static int` | `JJTORNODE`
`static int` | `JJTREFERENCE`
`static int` | `JJTREFERENCEEXPRESSION`
`static int` | `JJTSIZEFUNCTION`
`static int` | `JJTSIZEMETHOD`
`static int` | `JJTSTATEMENTEXPRESSION`
`static int` | `JJTSTRINGLITERAL`
`static int` | `JJTSUBTRACTNODE`
`static int` | `JJTTRUENODE`
`static int` | `JJTUNARYMINUSNODE`
`static int` | `JJTVOID`
`static int` | `JJTWHILESTATEMENT`

Field Detail

### JJTJEXLSCRIPT

    public static final int JJTJEXLSCRIPT

### JJTBLOCK

    public static final int JJTBLOCK

### JJTEMPTYFUNCTION

    public static final int JJTEMPTYFUNCTION

### JJTSIZEFUNCTION

    public static final int JJTSIZEFUNCTION

### JJTIDENTIFIER

    public static final int JJTIDENTIFIER

### JJTEXPRESSION

    public static final int JJTEXPRESSION

### JJTASSIGNMENT

    public static final int JJTASSIGNMENT

### JJTVOID

    public static final int JJTVOID

### JJTORNODE

    public static final int JJTORNODE

### JJTANDNODE

    public static final int JJTANDNODE

### JJTBITWISEORNODE

    public static final int JJTBITWISEORNODE

### JJTBITWISEXORNODE

    public static final int JJTBITWISEXORNODE

### JJTBITWISEANDNODE

    public static final int JJTBITWISEANDNODE

### JJTEQNODE

    public static final int JJTEQNODE

### JJTNENODE

    public static final int JJTNENODE

### JJTLTNODE

    public static final int JJTLTNODE

### JJTGTNODE

    public static final int JJTGTNODE

### JJTLENODE

    public static final int JJTLENODE

### JJTGENODE

    public static final int JJTGENODE

### JJTADDNODE

    public static final int JJTADDNODE

### JJTSUBTRACTNODE

    public static final int JJTSUBTRACTNODE

### JJTMULNODE

    public static final int JJTMULNODE

### JJTDIVNODE

    public static final int JJTDIVNODE

### JJTMODNODE

    public static final int JJTMODNODE

### JJTUNARYMINUSNODE

    public static final int JJTUNARYMINUSNODE

### JJTBITWISECOMPLNODE

    public static final int JJTBITWISECOMPLNODE

### JJTNOTNODE

    public static final int JJTNOTNODE

### JJTNULLLITERAL

    public static final int JJTNULLLITERAL

### JJTTRUENODE

    public static final int JJTTRUENODE

### JJTFALSENODE

    public static final int JJTFALSENODE

### JJTINTEGERLITERAL

    public static final int JJTINTEGERLITERAL

### JJTFLOATLITERAL

    public static final int JJTFLOATLITERAL

### JJTSTRINGLITERAL

    public static final int JJTSTRINGLITERAL

### JJTEXPRESSIONEXPRESSION

    public static final int JJTEXPRESSIONEXPRESSION

### JJTSTATEMENTEXPRESSION

    public static final int JJTSTATEMENTEXPRESSION

### JJTREFERENCEEXPRESSION

    public static final int JJTREFERENCEEXPRESSION

### JJTIFSTATEMENT

    public static final int JJTIFSTATEMENT

### JJTWHILESTATEMENT

    public static final int JJTWHILESTATEMENT

### JJTFOREACHSTATEMENT

    public static final int JJTFOREACHSTATEMENT

### JJTMETHOD

    public static final int JJTMETHOD

### JJTARRAYACCESS

    public static final int JJTARRAYACCESS

### JJTSIZEMETHOD

    public static final int JJTSIZEMETHOD

### JJTREFERENCE

    public static final int JJTREFERENCE

### jjtNodeName

    public static final String[] jjtNodeName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 The Apache Software Foundation. All Rights Reserved.